package com.hzya.frame.sysnew.message.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.message.entity.SysMessageEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * (SysMessage)表服务接口
 *
 * @author makejava
 * @since 2024-08-30 14:17:11
 */
public interface ISysMessageService extends IBaseService<SysMessageEntity, String>{
    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    JsonResultEntity queryEntity(JSONObject jsonObject);

    JsonResultEntity saveEntity(JSONObject jsonObject);

    JsonResultEntity getEntity(JSONObject jsonObject);

    JsonResultEntity updateEntity(JSONObject jsonObject);

    JsonResultEntity deleteEntity(JSONObject jsonObject);
}
